# Generated by Django 4.0.10 on 2023-04-07 09:33

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('artefacts', '0012_damagegroup_levelofdamage_typeofdamage_and_more'),
    ]

    operations = [
        migrations.RemoveField(
            model_name='damageassessment',
            name='damage_level',
        ),
        migrations.RemoveField(
            model_name='damageassessment',
            name='user',
        ),
        migrations.AddField(
            model_name='artefact',
            name='damage_level',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='artefacts.levelofdamage', verbose_name='level of damage'),
        ),
        migrations.AddField(
            model_name='damageassessment',
            name='user_add',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='damage_assessments_removed', to=settings.AUTH_USER_MODEL, verbose_name='user add'),
        ),
        migrations.AddField(
            model_name='damageassessment',
            name='user_remove',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='damage_assessments_added', to=settings.AUTH_USER_MODEL, verbose_name='user remove'),
        ),
    ]
